Gem::Specification.new do |s|
  s.name = 'override_kernel'
  s.version = '1.0.0'

  s.summary = 'Overrides specific Kernel functions.'
  s.description = %Q{
OverrideKernel changes Kernel functions
from nasty wildebeasts into fluffy, harmless bunnies.
Currently, only the exit function is dealt with in such a manner.
}.strip

  s.author   = 'Travis Herrick'
  s.email    = 'tthetoad@gmail.com'
  s.homepage = 'http://www.bitbucket.org/ToadJamb/gems_override_kernel'

  s.license = 'GPLv3'

  s.extra_rdoc_files << 'README'

  s.require_paths = ['lib']
  s.files = Dir['lib/**/*.rb', '*']
  s.test_files = Dir['test/**/*.rb']

  s.add_dependency 'app_mode', '~> 1.0.0'

  s.add_development_dependency 'rake_tasks', '~> 0.0.1'

  s.has_rdoc = true
end
